# Ds\Vector::unshift

(PECL ds >= 1.0.0)

Ds\Vector::unshift — Adds values to the front of the vector

### 说明

public Ds\Vector::unshift(mixed `$values` = ?): void

Adds values to the front of the vector, moving all the current values forward to make room for the new values.

### 参数

`values`

  The values to add to the front of the vector.

  > 注意:

  > Multiple values will be added in the same order that they are passed.

### 返回值

没有返回值。

### 示例

示例 #1 Ds\Vector::unshift() example

`<?php
$vector = new \Ds\Vector([1, 2, 3]);
$vector->unshift("a");
$vector->unshift("b", "c");
print_r($vector);
?>`

以上示例的输出类似于：

    Ds\Vector Object
    (
        [0] => b
        [1] => c
        [2] => a
        [3] => 1
        [4] => 2
        [5] => 3
    )

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open